Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface JoinMetadata

All Superinterfaces:
  Metadata

    public interface JoinMetadata

extends Metadata

Represents join information.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the join column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the join.
`ForeignKeyAction` | `getDeleteAction()` Accessor for the delete action of the FK
`ForeignKeyMetadata` | `getForeignKeyMetadata()` Accessor for any foreign key metadata on this join.
`Indexed` | `getIndexed()` Accessor for whether indexed (true|false|unique)
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata on this join
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this join.
`boolean` | `getOuter()` Accessor for whether to use an outer join.
`PrimaryKeyMetadata` | `getPrimaryKeyMetadata()` Accessor for any primary key metadata on this join.
`java.lang.String` | `getTable()` Accessor for the name of the table.
`java.lang.Boolean` | `getUnique()` Accessor for whether unique.
`UniqueMetadata` | `getUniqueMetadata()` Accessor for any unique constraint metadata on this join.
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this join.
`ForeignKeyMetadata` | `newForeignKeyMetadata()` Method to set new foreign key metadata for the join
`IndexMetadata` | `newIndexMetadata()` Method to set new index metadata for the join.
`PrimaryKeyMetadata` | `newPrimaryKeyMetadata()` Method to set new primary key metadata for the join
`UniqueMetadata` | `newUniqueMetadata()` Method to set new unique constraint metadata for the join
`JoinMetadata` | `setColumn(java.lang.String column)` Method to set the join column.
`JoinMetadata` | `setDeleteAction(ForeignKeyAction action)` Method to set the delete action of the FK
`JoinMetadata` | `setIndexed(Indexed indexed)` Method to set whether indexed.
`JoinMetadata` | `setOuter(boolean outer)` Method to set whether to use an outer join
`JoinMetadata` | `setTable(java.lang.String table)` Method to set the table name.
`JoinMetadata` | `setUnique(boolean unique)` Method to set whether it is unique.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setColumn

    JoinMetadata setColumn(java.lang.String column)

  Method to set the join column.

  Parameters:
    `column` - Name of the join column

### getColumn

    java.lang.String getColumn()

  Accessor for the join column name

  Returns:
    The column name

### setTable

    JoinMetadata setTable(java.lang.String table)

  Method to set the table name.

  Parameters:
    `table` - Table name

### getTable

    java.lang.String getTable()

  Accessor for the name of the table.

  Returns:
    The name

### setOuter

    JoinMetadata setOuter(boolean outer)

  Method to set whether to use an outer join

  Parameters:
    `outer` - Outer join?

### getOuter

    boolean getOuter()

  Accessor for whether to use an outer join.

  Returns:
    Outer join?

### setDeleteAction

    JoinMetadata setDeleteAction(ForeignKeyAction action)

  Method to set the delete action of the FK

  Parameters:
    `action` - Delete action of the FK

### getDeleteAction

    ForeignKeyAction getDeleteAction()

  Accessor for the delete action of the FK

  Returns:
    The FK delete-action

### setIndexed

    JoinMetadata setIndexed(Indexed indexed)

  Method to set whether indexed.

  Parameters:
    `indexed` - Whether indexed (true | false | unique)

### getIndexed

    Indexed getIndexed()

  Accessor for whether indexed (true|false|unique)

  Returns:
    Indexed?

### setUnique

    JoinMetadata setUnique(boolean unique)

  Method to set whether it is unique.

  Parameters:
    `unique` - Unique?

### getUnique

    java.lang.Boolean getUnique()

  Accessor for whether unique.

  Returns:
    Unique?

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set new index metadata for the join.

  Returns:
    The IndexMetadata

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata on this join

  Returns:
    Index metadata

### newUniqueMetadata

    UniqueMetadata newUniqueMetadata()

  Method to set new unique constraint metadata for the join

  Returns:
    The UniqueMetadata

### getUniqueMetadata

    UniqueMetadata getUniqueMetadata()

  Accessor for any unique constraint metadata on this join.

  Returns:
    The UniqueMetadata

### newForeignKeyMetadata

    ForeignKeyMetadata newForeignKeyMetadata()

  Method to set new foreign key metadata for the join

  Returns:
    The ForeignKeyMetadata

### getForeignKeyMetadata

    ForeignKeyMetadata getForeignKeyMetadata()

  Accessor for any foreign key metadata on this join.

  Returns:
    The ForeignKeyMetadata

### newPrimaryKeyMetadata

    PrimaryKeyMetadata newPrimaryKeyMetadata()

  Method to set new primary key metadata for the join

  Returns:
    The PrimaryKeyMetadata

### getPrimaryKeyMetadata

    PrimaryKeyMetadata getPrimaryKeyMetadata()

  Accessor for any primary key metadata on this join.

  Returns:
    The PrimaryKeyMetadata

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the join.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this join.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this join.

  Returns:
    The number of columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.